<bugID>1294249<Summary>Fix detection of partner repacks in outofdate notifications system addon</Summary><Description>The detection of partner repacks in the outofdate notifications system addon[1] is currently not working. The belief is that |startup()| of the addon is called before the distribution.id pref is populated and/or properly readable. We currently have balrog configured to only ship the addon to non-partner repacks. If we can fix the detection in the addon, we can remove the rule from balrog and selectively disable the addon for a list of known repacks[2] from within the addon.</Description></bugID>